summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2017-04-11 02:16:57 +0200
committer Willy Sudiarto Raharjo2017-04-13 02:27:51 +0200
commit00c5eb688cb1a243bed90fd54bce33f5204f1f97 (patch)
treec8cfe54a861ce836107c20e2fc2f34fb5d857822
parent971d9e6fb580c3de9e90d19da2f76bbe151d97fd (diff)
downloadslackbuilds-00c5eb688cb1a243bed90fd54bce33f5204f1f97.tar.gz
games/cosmic_assault: Added (retro 2D space shooter game).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--games/cosmic_assault/README8
-rw-r--r--games/cosmic_assault/cosmic_assault.SlackBuild62
-rw-r--r--games/cosmic_assault/cosmic_assault.desktop8
-rw-r--r--games/cosmic_assault/cosmic_assault.info10
-rw-r--r--games/cosmic_assault/cosmic_assault.pngbin0 -> 1585 bytes
-rw-r--r--games/cosmic_assault/cosmic_assault.sh18
-rw-r--r--games/cosmic_assault/doinst.sh3
-rw-r--r--games/cosmic_assault/slack-desc19
8 files changed, 128 insertions, 0 deletions
diff --git a/games/cosmic_assault/README b/games/cosmic_assault/README
new file mode 100644
index 0000000000..ae83e8719f
--- /dev/null
+++ b/games/cosmic_assault/README
@@ -0,0 +1,8 @@
+cosmic_assault (retro 2D space shooter game)
+
+Retro gaming space shooter with different enemy ships and shots, a boss
+level, and powerups. Fight a typically doomed but strangely compelling
+battle against a horde of unreasonable alien enemies.
+
+Gameplay is very simple: Move your ship with the arrow keys. Press and
+hold space to fire. Avoid colliding with enemy ships and weapons fire.
diff --git a/games/cosmic_assault/cosmic_assault.SlackBuild b/games/cosmic_assault/cosmic_assault.SlackBuild
new file mode 100644
index 0000000000..913365143c
--- /dev/null
+++ b/games/cosmic_assault/cosmic_assault.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for cosmic_assault
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=cosmic_assault
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+SRCNAM=Cosmic_Assault
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/games $PKG/usr/share/games/$PRGNAM
+install -m0755 $PRGNAM.py $PKG/usr/share/games/$PRGNAM
+install -m0755 $CWD/$PRGNAM.sh $PKG/usr/games/$PRGNAM
+cp -a data $PKG/usr/share/games/$PRGNAM
+
+# icon made from game data image:
+# convert -scale 64x64 data/newship.gif cosmic_assault.png
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# .desktop written for this build
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# no docs at all, include our own README
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/cosmic_assault/cosmic_assault.desktop b/games/cosmic_assault/cosmic_assault.desktop
new file mode 100644
index 0000000000..d93c685869
--- /dev/null
+++ b/games/cosmic_assault/cosmic_assault.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Cosmic Assault
+Comment=Space Shooting Game
+Exec=cosmic_assault
+Icon=cosmic_assault
+Terminal=false
+Type=Application
+Categories=Game;ArcadeGame;
diff --git a/games/cosmic_assault/cosmic_assault.info b/games/cosmic_assault/cosmic_assault.info
new file mode 100644
index 0000000000..5345948cf3
--- /dev/null
+++ b/games/cosmic_assault/cosmic_assault.info
@@ -0,0 +1,10 @@
+PRGNAM="cosmic_assault"
+VERSION="1.1"
+HOMEPAGE="http://www.pygame.org/project-Cosmic+Assault-246-378.html"
+DOWNLOAD="http://www.sourcefiles.org/Games/Action/Space_Shooter/Cosmic_Assault-1.1.tar.gz"
+MD5SUM="901ab59405f1fcf0f48b441218dc579c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pygame"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/cosmic_assault/cosmic_assault.png b/games/cosmic_assault/cosmic_assault.png
new file mode 100644
index 0000000000..d96ac85475
--- /dev/null
+++ b/games/cosmic_assault/cosmic_assault.png
Binary files differ
diff --git a/games/cosmic_assault/cosmic_assault.sh b/games/cosmic_assault/cosmic_assault.sh
new file mode 100644
index 0000000000..4c98b90d7b
--- /dev/null
+++ b/games/cosmic_assault/cosmic_assault.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# shell script wrapper for cosmic_assault, written by B. Watson
+# for SlackBuilds.org, licensed under the WTFPL.
+
+# this script is necessary because the game only looks in the current
+# directory for its data/ directory, which must also be writable due to
+# it writing the high score save file there (with no error checking!)
+
+PRGNAM=cosmic_assault
+SHAREDIR=/usr/share/games/$PRGNAM
+HOMEDIR=$HOME/.$PRGNAM
+
+set -e
+mkdir -p $HOMEDIR
+cd $HOMEDIR
+[ ! -e data ] && ln -s $SHAREDIR/data data
+exec $SHAREDIR/$PRGNAM.py
diff --git a/games/cosmic_assault/doinst.sh b/games/cosmic_assault/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/cosmic_assault/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/cosmic_assault/slack-desc b/games/cosmic_assault/slack-desc
new file mode 100644
index 0000000000..79538da858
--- /dev/null
+++ b/games/cosmic_assault/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cosmic_assault: cosmic_assault (retro 2D space shooter game)
+cosmic_assault:
+cosmic_assault: Retro gaming space shooter with different enemy ships and shots,
+cosmic_assault: a boss level, and powerups. Fight a typically doomed but strangely
+cosmic_assault: compelling battle against a horde of unreasonable alien enemies.
+cosmic_assault:
+cosmic_assault: Gameplay is very simple: Move your ship with the arrow keys. Press and
+cosmic_assault: hold space to fire. Avoid colliding with enemy ships and weapons fire.
+cosmic_assault:
+cosmic_assault:
+cosmic_assault: